#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
	: QMainWindow(parent)
	, ui(new Ui::MainWindow)
{
	ui->setupUi(this);


	QToolButton		*toolButton = findChild<QToolButton *>("toolButton");
	QIcon			qIcon;

	qIcon.addPixmap(QPixmap::fromImage(QImage(":/rez/normal.png")), QIcon::Normal);
	qIcon.addPixmap(QPixmap::fromImage(QImage(":/rez/disabled.png")), QIcon::Disabled);
	qIcon.addPixmap(QPixmap::fromImage(QImage(":/rez/pressed.png")), QIcon::Selected);
	qIcon.addPixmap(QPixmap::fromImage(QImage(":/rez/pressed.png")), QIcon::Active);

	toolButton->setStyleSheet("QToolButton { border: none }");
	toolButton->setIcon(qIcon);
}

MainWindow::~MainWindow()
{
	delete ui;
}

